// Learn more about Tauri commands at https://tauri.app/develop/calling-rust/
pub mod app_error;
pub mod commands;
pub mod pe_parse;
pub mod services;

#[cfg_attr(mobile, tauri::mobile_entry_point)]
pub fn run() {
    tauri::Builder::default()
        .plugin(tauri_plugin_dialog::init())
        .plugin(tauri_plugin_shell::init())
        .invoke_handler(tauri::generate_handler![
            commands::command_open_file,
            commands::command_get_file_pe_node_tree_data,
            commands::command_get_pe_data_dos_header,
            commands::command_get_pe_data_nt_header,
            commands::command_get_pe_data_file_header,
            commands::command_get_pe_data_optional_header,
            commands::set_complete,
        ])
        .run(tauri::generate_context!())
        .expect("error while running tauri application");
}
