import NodeTableComponent, {
  DataTemplateInterface,
} from "../NodeTableComponent/NodeTableComponent";

export default function DosHeader() {
  const dataTemplate: DataTemplateInterface = {
    e_magic: {
      name: "e_magic",
      value: 0,
      size: 2,
      offset: 0,
      data_type: "hex",
    },
    e_cblp: {
      name: "e_cblp",
      value: 0,
      size: 2,
      offset: 2,
      data_type: "hex",
    },
    e_cp: {
      name: "e_cp",
      value: 0,
      size: 2,
      offset: 4,
      data_type: "hex",
    },
    e_crlc: {
      name: "e_crlc",
      value: 0,
      size: 2,
      offset: 6,
      data_type: "hex",
    },
    e_cparhdr: {
      name: "e_cparhdr",
      value: 0,
      size: 2,
      offset: 8,
      data_type: "hex",
    },
    e_minalloc: {
      name: "e_minalloc",
      value: 0,
      size: 2,
      offset: 10,
      data_type: "hex",
    },
    e_maxalloc: {
      name: "e_maxalloc",
      value: 0,
      size: 2,
      offset: 12,
      data_type: "hex",
    },
    e_ss: {
      name: "e_ss",
      value: 0,
      size: 2,
      offset: 14,
      data_type: "hex",
    },
    e_sp: {
      name: "e_sp",
      value: 0,
      size: 2,
      offset: 16,
      data_type: "hex",
    },
    e_csum: {
      name: "e_csum",
      value: 0,
      size: 2,
      offset: 18,
      data_type: "hex",
    },
    e_ip: {
      name: "e_ip",
      value: 0,
      size: 2,
      offset: 20,
      data_type: "hex",
    },
    e_cs: {
      name: "e_cs",
      value: 0,
      size: 2,
      offset: 22,
      data_type: "hex",
    },
    e_lfarlc: {
      name: "e_lfarlc",
      value: 0,
      size: 2,
      offset: 24,
      data_type: "hex",
    },
    e_ovno: {
      name: "e_ovno",
      value: 0,
      size: 2,
      offset: 26,
      data_type: "hex",
    },
    e_res: {
      name: "e_res",
      value: null,
      size: 8,
      offset: 28,
      // field_type: "[WORD; 4]",
      array_element_size: 2,
      data_type: "array",
    },
    e_oemid: {
      name: "e_oemid",
      value: 0,
      size: 2,
      offset: 36,
      data_type: "hex",
    },
    e_oeminfo: {
      name: "e_oeminfo",
      value: 0,
      size: 2,
      offset: 38,
      data_type: "hex",
    },
    e_res2: {
      name: "e_res2",
      value: 0,
      size: 20,
      offset: 40,
      data_type: "array",
      array_element_size: 2,
    },
    e_lfanew: {
      name: "e_lfanew",
      value: 0,
      size: 4,
      offset: 60,
      data_type: "hex",
    },
  };

  const command = "command_get_pe_data_dos_header";

  const columns = [
    {
      title: "字段名",
      dataIndex: "name",
      key: "name",
    },
    {
      title: "偏移",
      dataIndex: "offset",
      key: "offset",
      hexSwitch: true,
    },
    {
      title: "大小",
      dataIndex: "size",
      key: "size",
    },
    {
      title: "值",
      dataIndex: "value",
      key: "value",
      hexSwitch: true,
      editable: true,
    },
    {
      title: "描述信息",
      dataIndex: "description",
      key: "description",
    },
  ];

  return (
    <NodeTableComponent
      dataTemplate={dataTemplate}
      command={command}
      columns={columns as any}
    ></NodeTableComponent>
  );
}
