import NodeTableComponent, {
    DataTemplateInterface,
  } from "../NodeTableComponent/NodeTableComponent";
  
  export default function SectionHeaders() {
    const dataTemplate: DataTemplateInterface = {
        


      /**
        pub name: [u8; 8],
        pub virtual_size: u32,
        pub virtual_address: u32,
        pub size_of_raw_data: u32,
        pub pointer_to_raw_data: u32,
        pub pointer_to_relocations: u32,
        pub pointer_to_linenumbers: u32,
        pub number_of_relocations: u16,
        pub number_of_linenumbers: u16,
        pub characteristics: SectionCharacteristics,
       */
    };
    const command = "command_get_pe_data_optional_header";
    const columns = [
      {
        title: "节区名(Byte[8])",
        dataIndex: "name",
        key: "name",
      },
      {
        title: "虚拟大小",
        dataIndex: "offset",
        key: "offset",
        hexSwitch: true,
      },
      {
        title: "大小",
        dataIndex: "size",
        key: "size",
      },
      {
        title: "值",
        dataIndex: "value",
        key: "value",
        hexSwitch: true,
        editable: true,
      },
      {
        title: "描述信息",
        dataIndex: "description",
        key: "description",
      },
    ];
    return (
      <NodeTableComponent
        dataTemplate={dataTemplate}
        command={command}
        columns={columns as any}
      ></NodeTableComponent>
    );
  }
  